# Class SyThemeValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.jsycamore.api.themes.SyThemeValueException

All Implemented Interfaces:
  `Serializable`

public final class SyThemeValueException extends Exception
An exception raised by values.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyThemeValueException(String message, SyThemeValueErrorCode inErrorCode)`
  Construct an exception.
  `SyThemeValueException(String message, Throwable cause, SyThemeValueErrorCode inErrorCode)`
  Construct an exception.
  `SyThemeValueException(Throwable cause, SyThemeValueErrorCode inErrorCode)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyThemeValueErrorCode`
  `errorCode()`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyThemeValueException

    public SyThemeValueException(String message, SyThemeValueErrorCode inErrorCode)
    Construct an exception.
    Parameters:
      `message` - The exception message
      `inErrorCode` - The error code

  - ### SyThemeValueException

    public SyThemeValueException(String message, Throwable cause, SyThemeValueErrorCode inErrorCode)
    Construct an exception.
    Parameters:
      `message` - The exception message
      `cause` - The exception cause
      `inErrorCode` - The error code

  - ### SyThemeValueException

    public SyThemeValueException(Throwable cause, SyThemeValueErrorCode inErrorCode)
    Construct an exception.
    Parameters:
      `cause` - The exception cause
      `inErrorCode` - The error code

- ## Method Details

  - ### errorCode

    public SyThemeValueErrorCode errorCode()
    Returns:
      The error code